Bug 1123898 - Document that <ldap> configuration element of <authorization> comes from jboss-as-config_1_5.xsd
Summary: Document that <ldap> configuration element of <authorization> comes from jbos...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 6.3.1
Assignee: Misha H. Ali
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 15:07 UTC by Martin Gencur
Modified: 2014-09-24 14:11 UTC (History)
5 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-24 14:11:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Gencur 2014-07-28 15:07:43 UTC
This xsd is not included in JDG 6.3 even though <ldap> config element is only valid in jboss-as-config_1_5.xsd, not in currently included 1.4 version.
We should document this for the next micro release.

Comment 2 Martin Gencur 2014-07-28 15:09:09 UTC
Correction: this should be fixed in an async patch for docs.

Comment 4 Misha H. Ali 2014-07-28 23:38:37 UTC
Thanks, Martin. Scoping this for release ASAP.

Comment 6 Martin Gencur 2014-07-29 06:28:44 UTC
Tristan, can you please advise here?

Comment 10 Vojtech Juranek 2014-09-17 09:10:01 UTC
Hi Misha,
looks good to me. JDG use EAP for LDAP search, so all EAP options could be used (i.e. are relevant).

This is not directly related to this BZ, but I would consider adding one more small chapter about securing HR server <-> LDAP server connection via using SSL (we test also this use case). If you decide to add this chapter, you can find useful info about it here (I wasn't able to find it in EAP documentation):

https://developer.jboss.org/wiki/LDAPSecurityRealmExamples

in "SSL" chapter - configuration sniplet and 1-2 lines of comments as it's done in aforementioned doc would be IMHO sufficient.

Comment 11 Misha H. Ali 2014-09-17 23:00:53 UTC
Thanks, Vojta. I'll create a bug for 6.4 to add the new content you have recommended since this is a late requirement. I'll cc you in that bug.

Comment 12 Misha H. Ali 2014-09-24 14:11:38 UTC
This bug's contents/fixes are now available on https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.3/


Note You need to log in before you can comment on or make changes to this bug.